-- ----------------------------
-- license表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_license`;
CREATE TABLE mortals_xhx_license(
    `id` bigint(20)   AUTO_INCREMENT   COMMENT '序号，主键，自增长',
    `name` varchar(128) NOT NULL DEFAULT ''    COMMENT '项目名称',
    `mac` varchar(32) NOT NULL   DEFAULT ''  COMMENT '服务器mac地址',
    `ip` varchar(16) NOT NULL   DEFAULT ''  COMMENT 'ip地址',
    `license_pri_path` varchar(128) NOT NULL DEFAULT ''    COMMENT '私钥地址',
    `license_pub_path` varchar(128) NOT NULL   DEFAULT ''  COMMENT '公钥',
    `license_key_path` varchar(128) NOT NULL   DEFAULT ''  COMMENT '许可证密钥或代码',
    `license_code` varchar(64) NOT NULL   DEFAULT ''  COMMENT '许可证编码',
    `start_time` datetime NOT NULL     COMMENT '许可证颁发日期',
    `end_time` datetime NOT NULL     COMMENT '许可证过期日期',
    `license_status` varchar(32) default '有效' NOT NULL     COMMENT '许可证状态（有效,过期,暂停）',
    `remark` varchar(512) NOT NULL     COMMENT '备注',
    `create_user_id` bigint(20)      COMMENT '创建用户',
    `create_time` datetime NOT NULL     COMMENT '创建时间',
    `update_time` datetime      COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='许可证表';

